### Hierarchy

- EventTarget
  - FileReader

## Index

### Properties

- DONE
- EMPTY
- EventTarget
- LOADING
- error
- onabort
- onerror
- onload
- onloadend
- onloadstart
- onprogress
- readyState
- result

### Methods

- abort
- addEventListener
- dispatchEvent
- readAsArrayBuffer
- readAsBinaryString
- readAsDataURL
- readAsText
- removeEventListener

## Properties

### DONE

DONE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5155

### EMPTY

EMPTY: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5156

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### LOADING

LOADING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5157

### error

error: DOMException | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5141

### onabort

onabort: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5142

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5143

### onload

onload: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5144

### onloadend

onloadend: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5145

### onloadstart

onloadstart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5146

### onprogress

onprogress: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5147

### readyState

readyState: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5148

### result

result: string | ArrayBuffer | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5149

## Methods

### abort

- abort(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5150

  #### Returns void

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5158

  #### Type parameters

  - #### K: keyof FileReaderEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: FileReader, ev: FileReaderEventMap[K]): any

      - #### Parameters

        - ##### this: FileReader

        - ##### ev: FileReaderEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5159

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### readAsArrayBuffer

- readAsArrayBuffer(blob: Blob): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5151

  #### Parameters

  - ##### blob: Blob

  #### Returns void

### readAsBinaryString

- readAsBinaryString(blob: Blob): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5152

  #### Parameters

  - ##### blob: Blob

  #### Returns void

### readAsDataURL

- readAsDataURL(blob: Blob): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5153

  #### Parameters

  - ##### blob: Blob

  #### Returns void

### readAsText

- readAsText(blob: Blob, encoding?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5154

  #### Parameters

  - ##### blob: Blob

  - ##### Optional encoding: undefined | string

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5160

  #### Type parameters

  - #### K: keyof FileReaderEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: FileReader, ev: FileReaderEventMap[K]): any

      - #### Parameters

        - ##### this: FileReader

        - ##### ev: FileReaderEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5161

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc